NEWFS(8)

NAME
newfs - create a new file system

SYNOPSIS
/usr/etc/newfs [ -Nv ] [ mkfs-options ] raw-special-device

DESCRIPTION

newfs is a “friendly” front-end to the mkfs(8) program. On Sun systems, the disk type is determined by reading the disk label for the specified raw-special-device.

raw-special-device is the name of a raw special device residing in /dev, including the disk partition, where you want the new file system to be created. If you want to make a file system on sd0[a-h], specify sd0[a-h], rsd0[a-h] or /dev/rsd0[a-h]; if you only specify sd0[a-h], newfs will find the proper device.

newfs then calculates the appropriate parameters to use in calling mkfs, and builds the file system by forking mkfs.

You must be super-user to use this command.

OPTIONS

-N  Print out the file system parameters without actually creating the file system.

-v  Verbose. newfs prints out its actions, including the parameters passed to mkfs.

mkfs-options
    Options that override the default parameters passed to mkfs(8) are:

    -a apc
        Number of alternates per cylinder (SCSI devices only).

    -b block-size
        The block size of the file system in bytes. The default is 8192.

    -C maxcontig
        The maximum number of blocks, belonging to one file, that will be allocated contiguously before inserting a rotational delay. The default varies from drive to drive. Drives without internal buffers (or drives/controllers that don't advertise the existence of an internal buffer) default to 1. Drives with buffers default to 7.

        This parameter is limited in the following way:

        blocksize * maxcontig must be <= maxphys

        maxphys is a read-only kernel variable that specifies the maximum block transfer size (in bytes) that the I/O subsystem is capable of satisfying. (This limit is enforced by mount(2), not by newfs or mkfs.)

        Note: This parameter also controls clustering. Regardless of the value of rotdelay, clustering is enabled only when maxcontig is greater than 1. Clustering allows higher I/O rates for sequential I/O and is described in tunefs(8).

    -c #cylinders/group
        The number of cylinders per cylinder group in a file system. The default is 16.

    -d rotdelay
        This specifies the expected time (in milliseconds) to service a transfer completion interrupt and initiate a new transfer on the same disk. It is used to decide how much rotational spacing to place between successive clusters/blocks in a file.

    -f frag-size
        The fragment size of the file system in bytes. The default is 1024.

    -i bytes/inode
        This specifies the density of inodes in the file system. The default is to create an inode for each 2048 bytes of data space. If fewer inodes are desired, a larger number should be used; to create more inodes a smaller number should be given.

    -m free-space%
        The percentage of space reserved from normal users; the minimum free space threshold. The default is 10%.

    -o optimization
        (space or time). The file system can either be instructed to try to minimize the time spent allocating blocks, or to try to minimize the space fragmentation on the disk. If the minimum free space threshold (as specified by the -m option) is less than 10%, the default is to optimize for space; if the minimum free space threshold is greater than or equal to 10%, the default is to optimize for time.

    -r revolutions/minute
        The speed of the disk in revolutions per minute (frequently 3600).

    -s size
        The size of the file system in sectors.

    -t #tracks/cylinder
        The number of tracks per cylinders on the disk. The default is 16.

    -n #rotational-positions
        The number of distinguished rotational positions. The default is 8.

EXAMPLES

The following example verbosely displays the parameters for the raw special device, sd0a, but does not actually create a new file system:

    example%  /usr/etc/newfs -vN sd0a
    mkfs -N /dev/rsd0a 16048 34 8 8192 1024 16 10 60 2048 t 0 -1 8 -1
    /dev/rsd0a:	16048 sectors in 59 cylinders of 8 tracks, 34 sectors
    	8.2Mb in 4 cyl groups (16 c/g, 2.23Mb/g, 896 i/g)
    super-block backups (for fsck -b#) at:
     32, 4432, 8832, 13232,
    example%

SEE ALSO
fs(5), fsck(8), installboot(8S), mkfs(8), tunefs(8)

DIAGNOSTICS

newfs: special No such file or directory
    The device specified does not exist, or a disk partition was not specified.

special: cannot open
    You must be super-user to use this command.

NOTES

To install the bootstrap programs for a root partition, run installboot(8S) after newfs.